%define name portsentry
%define version 1.0
%define release 3mdk

Name:		%{name}
Summary:	Psionic PortSentry
Version:	%{version}
Release:	%{release}
Copyright:	see LICENSE
Group:		System/Servers
URL:		http://www.psionic.com
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}.patch
Patch1:		%{name}.conf.patch
Patch2:		%{name}_config.patch
Patch3:		%{name}_ignore.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
PortSentry is part of the Abacus Project suite of tools. The Abacus 
Project is an initiative to release low-maintenance, generic, and reliable
host based intrusion detection software to the Internet community. More
information can be obtained from http://www.psionic.com.  PortSentry
monitors TCP and UDP ports for illegal entry and port scans.


%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
export RPM_OPT_FLAGS
make linux


%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_sbindir}

install -m700 portsentry %{buildroot}%{_sbindir}
install -m700 ignore.csh %{buildroot}%{_sbindir}
install -m600 portsentry.ignore %{buildroot}%{_sysconfdir}
install -m600 portsentry.conf %{buildroot}%{_sysconfdir}



%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root,0755)
%doc CHANGES CREDITS LICENSE README.*
%{_sbindir}/portsentry
%{_sbindir}/ignore.csh
%config(noreplace) %{_sysconfdir}/portsentry.ignore
%config(noreplace) %{_sysconfdir}/portsentry.conf


%changelog
* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0-3mdk
- macros

* Thu Apr 27 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.0-2mdk
- fix specfile for spec-helper
- fix group
- patch to ignore.csh for proper paths to config files

* Thu Dec 2 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used the srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Wed Dec 1 1999 Vincent Danen <vdanen@linux-mandrake.com> 1.0-1mdk
- updated specfile for Mandrake contribs
- bzip sources
- 1.0:
-  - NeverBlock() function fixed.
-  - Updated docs.
-  - Y2K fix in WriteBlocked functions.

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote patches to source files, now we can use pristine source

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- specfile adaptations

* Tue Sep 28 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file
- removed original source (you can grab it from Psionic's website anyway)

* Mon Sep 6 1999 Vincent Danen <vdanen@softhome.net>
- fixed paths in portsentry.conf
- updated spec file
- changed release number to *mdk to indicate Mandrake compliance
- Mandrake adaptions

* Sun Sep 5 1999 Vincent Danen <vdanen@softhome.net>
- adapted Makefile, portsentry-config.h, and ignore.csh to work with RPM
- wrote spec file
- included original source (unmodified)
